> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Maps parsed JSON

> Configure the Bright Data Google Maps Google Maps parsed JSON parameter to refine queries and return matching results as JSON or HTML. On port 33335.

```txt wrap theme={null}
https://www.google.com/maps/search/hotels+new+york/?brd_json=json
```

## Parameters

<ParamField path="q" type="string" required>
  The search path parameter. Specifies the keyword or phrase you want to search for on Google Maps.
</ParamField>

<ParamField query="brd_json" type="string" default="html">
  Set the `brd_json` parameter to `json` to get the results in JSON format.

  ```txt wrap theme={null}
  https://www.google.com/maps/search/hotels+new+york/?brd_json=json
  ```

  | value            | description                                                                                                         |
  | ---------------- | ------------------------------------------------------------------------------------------------------------------- |
  | `html` (default) | Returns the standard HTML response from Google Maps.                                                                |
  | `json`           | Returns the search results in a structured JSON format, making it easier to parse and extract specific data points. |
</ParamField>

<RequestExample>
  ```shell cURL highlight={6} theme={null}
    curl -X POST https://api.brightdata.com/request \
    --header "Content-Type: application/json" \
    --header "Authorization: Bearer API_KEY" \
    --data '{
      "zone": "serp_api1",
      "url": "https://www.google.com/maps/search/hotels+new+york/?brd_json=json",
      "format": "raw"
    }'
  ```

  ```shell Native proxy highlight={4} theme={null}
  curl --proxy brd.superproxy.io:33335 \
    --proxy-user CUSTOMER_USERNAME:CUSTOMER_PASSWORD \
    --ssl-no-revoke \
    "https://www.google.com/maps/search/hotels+new+york/?brd_json=json"
  ```

  ```js Node.js highlight={10} theme={null}
  (async () => {
    const response = await fetch('https://api.brightdata.com/request', {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
        'Authorization': 'Bearer API_KEY'
      },
      body: JSON.stringify({
        zone: 'serp_api1',
        url: 'https://www.google.com/maps/search/hotels+new+york/?brd_json=json',
        format: 'raw'
      })
    });
    
    const data = await response.text();
    console.log(data);
  })();
  ```

  ```python Python highlight={11} theme={null}
  import requests

  # API Configuration
  headers = {
      'Content-Type': 'application/json',
      'Authorization': 'Bearer API_KEY',
  }

  payload = {
      'zone': 'serp_api1',
      'url': 'https://www.google.com/maps/search/hotels+new+york/?brd_json=json',
      'format': 'raw'
  }

  # Make the request
  response = requests.post(
      'https://api.brightdata.com/request', 
      json=payload, 
      headers=headers
  )

  print(response.text)
  ```
</RequestExample>
